Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227763

Summary: umount of gfs on gulm cluster can cause a panic
Product: [Retired] Red Hat Cluster Suite Reporter: Corey Marthaler <cmarthal>
Component: gfsAssignee: Chris Feist <cfeist>
Status: CLOSED WORKSFORME QA Contact: GFS Bugs <gfs-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-19 17:48:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Corey Marthaler 2007-02-07 23:08:25 UTC
Description of problem:
[root@link-07 ~]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
/dev/hda1 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
/dev/mapper/my_vg-gfs1 on /mnt/gfs1 type gfs (rw)
/dev/mapper/my_vg-gfs2 on /mnt/gfs2 type gfs (rw)
[root@link-07 ~]# umount /mnt/gfs1 /mnt/gfs2                            
[PANIC]


Unable to handle kernel paging request at 0000000000100108 RIP:
<ffffffff8017f713>{generic_shutdown_super+364}
PML4 1ddae067 PGD 3b56a067 PMD 0
Oops: 0002 [1] SMP
CPU 1
Modules linked in: gnbd(U) lock_nolock(U) gfs(U) cman(U) lock_gulm(U)
lock_harness(U) md5 ipv6 parport_pc lp parport autofs4 sunrpc ds yenta_socket
pcmcia_core button battery ac ohci_hcd hw_random k8_edac edac_mc tg3 floppy
dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod qla2300 qla2xxx scsi_transport_fc
mptscsih mptsas mptspi mptscsi mptbase sd_mod scsi_mod
Pid: 7945, comm: umount Not tainted 2.6.9-46.ELsmp
RIP: 0010:[<ffffffff8017f713>] <ffffffff8017f713>{generic_shutdown_super+364}
RSP: 0018:0000010008121e38  EFLAGS: 00010246
RAX: 0000000000100100 RBX: 0000000000000000 RCX: 000001000134ed18
RDX: 0000000000200200 RSI: 0000000000001000 RDI: ffffffff803ea260
RBP: 000001000134ec00 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000256 R12: ffffffffa029de40
R13: 000001001d911e00 R14: 0000000000000001 R15: 00000000006109c0
FS:  0000002a95562b00(0000) GS:ffffffff804ed580(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000100108 CR3: 0000000037e12000 CR4: 00000000000006e0
Process umount (pid: 7945, threadinfo 0000010008120000, task 000001003b490030)
Stack: 000001001c1e73d8 000001001c1e73c0 000001003a516080 ffffffffa0251ec0
       000001000134e800 000001000134e800 000001001c1e73c0 0000000000001000
       000001001c1e79c0 ffffffffa02747b4
Call Trace:<ffffffffa0251ec0>{:gfs:diaper_put+36}
<ffffffffa02747b4>{:gfs:gfs_kill_sb+72}
       <ffffffff801cfe88>{dummy_inode_permission+0}
<ffffffff8017f58e>{deactivate_super+95}
       <ffffffff80195276>{sys_umount+925} <ffffffff80182a07>{sys_newstat+17}
       <ffffffff80110d91>{error_exit+0} <ffffffff8011026a>{system_call+126}


Code: 48 89 50 08 48 89 02 48 c7 41 08 00 02 20 00 48 c7 85 18 01
RIP <ffffffff8017f713>{generic_shutdown_super+364} RSP <0000010008121e38>
CR2: 0000000000100108
 <0>Kernel panic - not syncing: Oops



Version-Release number of selected component (if applicable):
2.6.9-46.ELsmp
GFS-kernel-smp-2.6.9-67.2
gulm-1.0.9-2

Comment 1 Chris Feist 2007-02-28 17:35:13 UTC
Does this happen everytime there's an umount, or just once so far?

Comment 2 Corey Marthaler 2007-02-28 17:38:43 UTC
I've only seen it the one time so far.

Comment 3 Chris Feist 2007-04-16 22:17:29 UTC
Moving to NEEDINFO until we can get a reproducer.

Comment 4 Corey Marthaler 2007-12-19 17:48:01 UTC
This bug hasn't been seen in past 10 months, closing...